processing.app.syntax

## Class TextAreaDefaults

- Object
- - TextAreaDefaults

- Direct Known Subclasses:
    PdeTextAreaDefaults

      public class TextAreaDefaults
      extends Object

  Encapsulates default settings for a text area. This can be passed to the constructor once the necessary fields have been filled out. The advantage of doing this over calling lots of set() methods after creating the text area is that this method is faster.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Color` | `bgcolor`
    `boolean` | `blockCaret`
    `boolean` | `bracketHighlight`
    `Color` | `bracketHighlightColor`
    `boolean` | `caretBlinks`
    `Color` | `caretColor`
    `boolean` | `caretVisible`
    `int` | `cols`
    `SyntaxDocument` | `document`
    `int` | `electricScroll`
    `Color` | `eolMarkerColor`
    `boolean` | `eolMarkers`
    `Color` | `fgcolor`
    `boolean` | `lineHighlight`
    `Color` | `lineHighlightColor`
    `boolean` | `paintInvalid`
    `int` | `rows`
    `Color` | `selectionColor`
    `SyntaxStyle[]` | `styles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextAreaDefaults()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### document

          public SyntaxDocument document

    - #### caretVisible

          public boolean caretVisible

    - #### caretBlinks

          public boolean caretBlinks

    - #### blockCaret

          public boolean blockCaret

    - #### electricScroll

          public int electricScroll

    - #### cols

          public int cols

    - #### rows

          public int rows

    - #### styles

          public SyntaxStyle[] styles

    - #### caretColor

          public Color caretColor

    - #### selectionColor

          public Color selectionColor

    - #### lineHighlightColor

          public Color lineHighlightColor

    - #### lineHighlight

          public boolean lineHighlight

    - #### bracketHighlightColor

          public Color bracketHighlightColor

    - #### bracketHighlight

          public boolean bracketHighlight

    - #### eolMarkerColor

          public Color eolMarkerColor

    - #### eolMarkers

          public boolean eolMarkers

    - #### paintInvalid

          public boolean paintInvalid

    - #### fgcolor

          public Color fgcolor

    - #### bgcolor

          public Color bgcolor

  - ### Constructor Detail

    - #### TextAreaDefaults

          public TextAreaDefaults()